unit utestrandom;

interface

uses
	Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
	xmatdefs, uranddispos, StdCtrls;

type
  TForm1 = class(TForm)
		Button1: TButton;
    eProm: TEdit;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
	a: NReal;
	k: integer;
begin
	a:= 0;
	randseed:= 31;
	for k:= 1 to 1024 do
	begin
		a:= a+rndDispoNMaquinas( 0.95, 1);
	end;
	eProm.text:= FloatToStr( a/1024 );
end;

end.
